flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Test of boundary conditions for transport
  mesh:
    mesh_file: ../00_mesh/square_1x1_str.msh
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    input_fields:
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: 0
    output:
      fields:
        - pressure_p0
        - velocity_p0
    output_stream:
      file: ./flow.pvd
      format: !vtk
        variant: ascii
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_AdvectionDiffusion_DG
      input_fields:
        - region: domain
          diff_m: 0.01
          sources_density: 0
          init_conc: 5
        - region: .left
          bc_type: diffusive_flux
          bc_flux: -0.1
        - region: .right
          bc_type: diffusive_flux
          bc_conc: 10
          bc_robin_sigma: 1
        - region: .top
          bc_type: diffusive_flux
          bc_flux: 0.1
        - region: .bottom
          bc_type: diffusive_flux
          bc_flux: 0.1
      solver:
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    output_stream:
      file: ./transport.pvd
      format: !vtk
        variant: ascii
      times:
        - step: 1
    substances:
      - tracer
    time:
      end_time: 10
    balance:
      cumulative: true
